<template>
  <div class="message-container">
    <div class="item" v-for="(item, index) in list" :key="index">
      <div class="title">{{ item.title }}({{ item.date }})</div>
      <div class="content">
        <el-row>
          <el-col :span="8">
            <label>收货单号：{{ item.formData.receiveOrderNo }}</label>
          </el-col>
          <el-col :span="8">
            <label>质检单号：{{ item.formData.checkOrderNo }}</label>
          </el-col>
          <el-col :span="8">
            <label>收货明细行号：{{ item.formData.receiveDetailRowNo }}</label>
          </el-col>
        </el-row>

        <el-row>
          <el-col :span="8">
            <label>物料编号：{{ item.formData.materielCode }}</label>
          </el-col>
          <el-col :span="8">
            <label>合格数量：{{ item.formData.qualifiedQuantity }}</label>
          </el-col>
          <el-col :span="8">
            <label>特采数量：{{ item.formData.defectedQuantity }}</label>
          </el-col>
        </el-row>

        <el-row>
          <el-col :span="8">
            <label>退货数量：{{ item.formData.returnQuantity }}</label>
          </el-col>
          <el-col :span="8">
            <label>报废数量：{{ item.formData.scrappedQuantity }}</label>
          </el-col>
          <el-col :span="8">
            <label>质检总数：{{ item.formData.receivedQuantity }}</label>
          </el-col>
        </el-row>
        
        <el-row>
          <el-col :span="16">
            <label>特采说明：{{ item.formData.defectedNote }}</label>
          </el-col>
          <el-col :span="8">
            <label>检验人：{{ item.formData.checkUserName }}</label>
          </el-col>
        </el-row>
      </div>
      <div style="margin-top: 20px">
        <el-button type="primary">同意</el-button
        ><el-button type="danger">驳回</el-button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    list: {
      type: Array,
      default: () => {
        return [];
      },
    },
  },
  created() {
    // if (!this.list.length) {
    //   this.list.push({
    //     title: "IQC质检结果审批",
    //     formData: {
    //       receiveOrderNo: "收货单号",
    //       checkOrderNo: "质检单号",
    //       receiveDetailRowNo: "收货明细行号",
    //       materielCode: "物料编号",
    //       qualifiedQuantity: "合格数量",
    //       defectedQuantity: "特采数量",
    //       returnQuantity: "退货数量",
    //       scrappedQuantity: "报废数量",
    //       receivedQuantity: "质检总数",
    //       defectedNote: "特采说明",
    //       checkUserName: "检验人",
    //       message: "消息测试内容消息测试内容消息测试内容消息测试内容",
    //     },
    //     date: "2022-05-02 03:10",
    //   });
    // }
  },
};
</script>
<style scoped lang="less">
.message-container {
  .title {
    padding-bottom: 10px;
    font-weight: bold;
  }
  .item {
    border-bottom: 1px solid #eee;
    padding: 10px 20px;
  }
  .content {
    color: #1b1b1b;
    font-size: 14px;
  }
}
</style>
